/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
(function(){
    dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.LicenseTokenServiceProvidersCombo");
    dojo.require("dijit._Widget");
    dojo.require("dijit._Templated");
    dojo.require("net.jazz.ajax.core.internal.util");
    dojo.require("dojox.xml.parser");
    dojo.require("com.ibm.team.repository.web.ui.internal.admin.server.ExtensionsHelper");
    var ExtHelper = com.ibm.team.repository.web.ui.internal.admin.server.ExtensionsHelper;
    dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.LicenseTokenServiceProvidersCombo", [dijit._Widget, dijit._Templated], {
        templateString: "<div dojoAttachPoint='providerSelectionDiv'>Provider: </div>",
        postCreate: function(){
            this._displayProvidersSelect();
        },
        
        _displayProvidersSelect: function(){
            var self = this;
            this.providerSelect = document.createElement("select");
            var selectedIndex = null;
            var pos = 0;
            
            this.providerSelectionDiv.appendChild(this.providerSelect);
            var exts = ExtHelper.getLicenseTokenProviders();
            dojo.forEach(exts, function(providerExt){
                var option = document.createElement("option");
                option.setAttribute("value", providerExt.getServiceImplementationClass());
                option.innerHTML = providerExt.getName();
                this.providerSelect.appendChild(option);
                
                
            }, this);
            // create an all providers choice if there are more than one provider
            if (exts && exts.length > 1) {
                var option = document.createElement("option");
                option.setAttribute("value", "all");
                option.innerHTML = "All Providers";
                this.providerSelect.appendChild(option);
            }
        },
        
        getSelectedProvider: function(){
            var value = this.providerSelect.value;
            var formattedValue = "";
            if (value && value == "all") {
                dojo.forEach(this.providerSelect.options, function(element){
                    if (element.value != "all") {
					  formattedValue += "'" + element.value + "'" + ",";                      
                    }
                    
                });
				formattedValue = formattedValue.substring(0,formattedValue.length-1);
            }else{
				formattedValue = value;
			}
            return formattedValue;
        }
    });
    
    
    
})();
