@echo off
rem *******************************************************************************
rem  Elments sous licence - Proprit d'IBM
rem  (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Dfinissez les variables d'environnement correspondant
REM # aux paramtres de script jts_upgrade.bat ainsi que leurs valeurs par dfaut
REM #
REM #===========================================================
REM #
REM # Ce fichier est lu au dbut de l'excution du script
REM # jts_upgrade.bat. Il associe une variable d'environnement
REM # par paramtre valide  une valeur par dfaut prdfinie.
REM #
REM # Les utilisateurs peuvent modifier la valeur par dfaut
REM # pour lancer le script jts_upgrade.bat avec leurs propres
REM # valeurs sans avoir  entrer manuellement le paramtre et
REM # sa valeur correspondante sur la ligne de commande.
REM #
REM # AVERTISSEMENT :
REM # Les variables ne doivent pas toutes tre dfinies pour chaque
REM # application.  Lisez avec attention chaque commentaire avant de
REM # modifier la valeur.
REM #
REM #############################################################

rem Paramtre : -oldJTSHome
rem Syntaxe : -oldJTSHome <dir path>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de JTS dans l'installation 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Remarque :
rem     S'il est spcifi, cela signifie qu'une mise  niveau de la version 3.0.x
rem      la version 4.0 va avoir lieu pour RTC et JTS. Sinon, seul RTC est concern, quel
rem     que soit le type de mise  niveau dtect...
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem  - Valide uniquemement pour les mises  niveau de RM et JTS
rem
set OLD_JTS_HOME=

rem Paramtre : -jtsContextRoot
rem Syntaxe : -jtsContextRoot <root>
rem Description :
rem 	Racine de contexte JTS
rem Valeur par dfaut :
rem 	jts
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set JTS_CONTEXT_ROOT=jts

rem Paramtre : -lpaContextRoot
rem Syntaxe : -lpaContextRoot <root>
rem Description :
rem 	Racine de contexte LPA
rem Valeur par dfaut :
rem 	admin
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set LPA_CONTEXT_ROOT=admin

rem Paramtre : -oldJTSVersion
rem Syntaxe : -oldJTSVersion <version>
rem Description :
rem 	La version 3.0.x qui est mise  niveau.  Par dfaut,
rem     cela est dtermin en appliquant la commande repotools -version  l'ancien serveur JTS.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - doit tre une chane de version complte
rem    exemple : 3.0.0 or 3.0.1
rem
set OLD_JTS_VERSION=

rem Paramtre : -updateTomcatFiles
rem Syntaxe : -updateTomcatFiles <yes | no>
rem Description :
rem 	Indique si les fichiers de configuration Tomcat doivent tre mis  jour.
rem Valeur par dfaut :
rem 	yes
rem Contraintes :
rem  - Seules valeurs 'yes' et 'no' sont valides
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramtre : -oldTomcatHome
rem Syntaxe : -oldTomcatHome <dir path>
rem Description :
rem 	Chemin d'accs complet au rpertoire racine Tomcat dans l'application 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Doit tre un rpertoire existant
rem
set OLD_TOMCAT_HOME=

rem Paramtre : -newJTSHome
rem Syntaxe : -newJTSHome <dir path>
rem Description :
rem 	Chemin d'accs au rpertoire de configuration du serveur JTS de l'installation 4.0.
rem Valeur par dfaut :
rem 	conf
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Paramtre : -newTomcatHome
rem Syntaxe : -newTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs au rpertoire principal Tomcat de l'installation 4.0.
rem Valeur par dfaut :
rem 	<acune>
rem
set NEW_TOMCAT_HOME=

rem Paramtre : -noPrompt
rem Syntaxe : -noPrompt
rem Description :
rem 	Ne pas demander confirmation avant la cration ou la modification des tables
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramtre : -noVerify
rem Syntaxe : -noVerify
rem Description :
rem 	Ne pas vrifier les fichiers teamserver.properties.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramtre : -overwrite
rem Syntaxe : -overwrite
rem Description :
rem 	Indique si les fichiers existants doivent tre remplacs.
rem Valeur par dfaut :
rem 	no
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramtre : -noStepPrompt
rem Syntaxe : -noStepPrompt
rem Description :
rem 	Ne pas demander confirmation avant l'excution d'une tape.
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valeurs valides sont 'true' ou 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
